---
lang: en
title: 'API docs: socketio.socketiometadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiometadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoMetadata](./socketio.socketiometadata.md)

## SocketIoMetadata interface

Metadata for SocketIo

<b>Signature:</b>

```typescript
export interface SocketIoMetadata 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [name?](./socketio.socketiometadata.name.md) | string | <i>(Optional)</i> |
|  [namespace?](./socketio.socketiometadata.namespace.md) | string \| RegExp | <i>(Optional)</i> |


